Chapter 47. ProcessBaselineService


47.1. DeleteProcessBaselines

DELETE /v1/processbaselines

DeleteProcessBaselines deletes baselines.

47.1.1. Description

47.1.2. Parameters

47.1.2.1. Query Parameters

Expand
NameDescriptionRequiredDefaultPattern

query

 

-

null

 

confirm

 

-

null

 

47.1.3. Return Type

V1DeleteProcessBaselinesResponse

47.1.4. Content Type

  • application/json

47.1.5. Responses

Expand
Table 47.1. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

V1DeleteProcessBaselinesResponse

0

An unexpected error response.

RuntimeError

47.1.6. Samples

47.1.7. Common object reference

47.1.7.1. ProtobufAny

Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.

Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.

Example 1: Pack and unpack a message in C++.

Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
  ...
}

Example 2: Pack and unpack a message in Java.

Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
  foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
  foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
  any.Unpack(foo)
  ...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
  ...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
  ...
}

The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".

47.1.7.1.1. JSON representation

The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:

package google.profile;
message Person {
  string first_name = 1;
  string last_name = 2;
}
{
  "@type": "type.googleapis.com/google.profile.Person",
  "firstName": <string>,
  "lastName": <string>
}

If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):

{
  "@type": "type.googleapis.com/google.protobuf.Duration",
  "value": "1.212s"
}
Expand
Field NameRequiredNullableTypeDescriptionFormat

typeUrl

  

String

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.Duration). The name should be in a canonical form (e.g., leading \".\" is not accepted). In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme http, https, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows: * If no scheme is provided, https is assumed. * An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error. * Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.) Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com. As of May 2023, there are no widely used type server implementations and no plans to implement one. Schemes other than http, https (or the empty scheme) might be used with implementation specific semantics.

 

value

  

byte[]

Must be a valid serialized protocol buffer of the above specified type.

byte

47.1.7.2. RuntimeError

Expand
Field NameRequiredNullableTypeDescriptionFormat

error

  

String

  

code

  

Integer

 

int32

message

  

String

  

details

  

List of ProtobufAny

  

47.1.7.3. V1DeleteProcessBaselinesResponse

Expand
Field NameRequiredNullableTypeDescriptionFormat

numDeleted

  

Integer

 

int32

dryRun

  

Boolean

  

47.2. GetProcessBaseline

GET /v1/processbaselines/key

GetProcessBaselineById returns the single process baseline referenced by the given ID.

47.2.1. Description

47.2.2. Parameters

47.2.2.1. Query Parameters

Expand
NameDescriptionRequiredDefaultPattern

key.deploymentId

The idea is for the keys to be flexible. Only certain combinations of these will be supported.

-

null

 

key.containerName

 

-

null

 

key.clusterId

 

-

null

 

key.namespace

 

-

null

 

47.2.3. Return Type

StorageProcessBaseline

47.2.4. Content Type

  • application/json

47.2.5. Responses

Expand
Table 47.2. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

StorageProcessBaseline

0

An unexpected error response.

RuntimeError

47.2.6. Samples

47.2.7. Common object reference

47.2.7.1. ProtobufAny

Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.

Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.

Example 1: Pack and unpack a message in C++.

Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
  ...
}

Example 2: Pack and unpack a message in Java.

Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
  foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
  foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
  any.Unpack(foo)
  ...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
  ...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
  ...
}

The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".

47.2.7.1.1. JSON representation

The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:

package google.profile;
message Person {
  string first_name = 1;
  string last_name = 2;
}
{
  "@type": "type.googleapis.com/google.profile.Person",
  "firstName": <string>,
  "lastName": <string>
}

If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):

{
  "@type": "type.googleapis.com/google.protobuf.Duration",
  "value": "1.212s"
}
Expand
Field NameRequiredNullableTypeDescriptionFormat

typeUrl

  

String

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.Duration). The name should be in a canonical form (e.g., leading \".\" is not accepted). In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme http, https, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows: * If no scheme is provided, https is assumed. * An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error. * Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.) Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com. As of May 2023, there are no widely used type server implementations and no plans to implement one. Schemes other than http, https (or the empty scheme) might be used with implementation specific semantics.

 

value

  

byte[]

Must be a valid serialized protocol buffer of the above specified type.

byte

47.2.7.2. RuntimeError

Expand
Field NameRequiredNullableTypeDescriptionFormat

error

  

String

  

code

  

Integer

 

int32

message

  

String

  

details

  

List of ProtobufAny

  

47.2.7.3. StorageBaselineElement

Expand
Field NameRequiredNullableTypeDescriptionFormat

element

  

StorageBaselineItem

  

auto

  

Boolean

  

47.2.7.4. StorageBaselineItem

Expand
Field NameRequiredNullableTypeDescriptionFormat

processName

  

String

  

47.2.7.5. StorageProcessBaseline

Expand
Field NameRequiredNullableTypeDescriptionFormat

id

  

String

  

key

  

StorageProcessBaselineKey

  

elements

  

List of StorageBaselineElement

  

elementGraveyard

  

List of StorageBaselineElement

  

created

  

Date

 

date-time

userLockedTimestamp

  

Date

 

date-time

stackRoxLockedTimestamp

  

Date

 

date-time

lastUpdate

  

Date

 

date-time

47.2.7.6. StorageProcessBaselineKey

Expand
Field NameRequiredNullableTypeDescriptionFormat

deploymentId

  

String

The idea is for the keys to be flexible. Only certain combinations of these will be supported.

 

containerName

  

String

  

clusterId

  

String

  

namespace

  

String

  

47.3. LockProcessBaselines

PUT /v1/processbaselines/lock

LockProcessBaselines accepts a list of baseline IDs, locks those baselines, and returns the updated baseline objects.

47.3.1. Description

47.3.2. Parameters

47.3.2.1. Body Parameter

Expand
NameDescriptionRequiredDefaultPattern

body

V1LockProcessBaselinesRequest

X

  

47.3.3. Return Type

V1UpdateProcessBaselinesResponse

47.3.4. Content Type

  • application/json

47.3.5. Responses

Expand
Table 47.3. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

V1UpdateProcessBaselinesResponse

0

An unexpected error response.

RuntimeError

47.3.6. Samples

47.3.7. Common object reference

47.3.7.1. ProtobufAny

Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.

Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.

Example 1: Pack and unpack a message in C++.

Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
  ...
}

Example 2: Pack and unpack a message in Java.

Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
  foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
  foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
  any.Unpack(foo)
  ...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
  ...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
  ...
}

The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".

47.3.7.1.1. JSON representation

The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:

package google.profile;
message Person {
  string first_name = 1;
  string last_name = 2;
}
{
  "@type": "type.googleapis.com/google.profile.Person",
  "firstName": <string>,
  "lastName": <string>
}

If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):

{
  "@type": "type.googleapis.com/google.protobuf.Duration",
  "value": "1.212s"
}
Expand
Field NameRequiredNullableTypeDescriptionFormat

typeUrl

  

String

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.Duration). The name should be in a canonical form (e.g., leading \".\" is not accepted). In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme http, https, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows: * If no scheme is provided, https is assumed. * An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error. * Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.) Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com. As of May 2023, there are no widely used type server implementations and no plans to implement one. Schemes other than http, https (or the empty scheme) might be used with implementation specific semantics.

 

value

  

byte[]

Must be a valid serialized protocol buffer of the above specified type.

byte

47.3.7.2. RuntimeError

Expand
Field NameRequiredNullableTypeDescriptionFormat

error

  

String

  

code

  

Integer

 

int32

message

  

String

  

details

  

List of ProtobufAny

  

47.3.7.3. StorageBaselineElement

Expand
Field NameRequiredNullableTypeDescriptionFormat

element

  

StorageBaselineItem

  

auto

  

Boolean

  

47.3.7.4. StorageBaselineItem

Expand
Field NameRequiredNullableTypeDescriptionFormat

processName

  

String

  

47.3.7.5. StorageProcessBaseline

Expand
Field NameRequiredNullableTypeDescriptionFormat

id

  

String

  

key

  

StorageProcessBaselineKey

  

elements

  

List of StorageBaselineElement

  

elementGraveyard

  

List of StorageBaselineElement

  

created

  

Date

 

date-time

userLockedTimestamp

  

Date

 

date-time

stackRoxLockedTimestamp

  

Date

 

date-time

lastUpdate

  

Date

 

date-time

47.3.7.6. StorageProcessBaselineKey

Expand
Field NameRequiredNullableTypeDescriptionFormat

deploymentId

  

String

The idea is for the keys to be flexible. Only certain combinations of these will be supported.

 

containerName

  

String

  

clusterId

  

String

  

namespace

  

String

  

47.3.7.7. V1LockProcessBaselinesRequest

Expand
Field NameRequiredNullableTypeDescriptionFormat

keys

  

List of StorageProcessBaselineKey

  

locked

  

Boolean

  

47.3.7.8. V1ProcessBaselineUpdateError

Expand
Field NameRequiredNullableTypeDescriptionFormat

error

  

String

  

key

  

StorageProcessBaselineKey

  

47.3.7.9. V1UpdateProcessBaselinesResponse

Expand
Field NameRequiredNullableTypeDescriptionFormat

baselines

  

List of StorageProcessBaseline

  

errors

  

List of V1ProcessBaselineUpdateError

  

47.4. UpdateProcessBaselines

PUT /v1/processbaselines

AddToProcessBaselines adds a list of process names to each of a list of process baselines.

47.4.1. Description

47.4.2. Parameters

47.4.2.1. Body Parameter

Expand
NameDescriptionRequiredDefaultPattern

body

V1UpdateProcessBaselinesRequest

X

  

47.4.3. Return Type

V1UpdateProcessBaselinesResponse

47.4.4. Content Type

  • application/json

47.4.5. Responses

Expand
Table 47.4. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

V1UpdateProcessBaselinesResponse

0

An unexpected error response.

RuntimeError

47.4.6. Samples

47.4.7. Common object reference

47.4.7.1. ProtobufAny

Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.

Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.

Example 1: Pack and unpack a message in C++.

Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
  ...
}

Example 2: Pack and unpack a message in Java.

Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
  foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
  foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
  any.Unpack(foo)
  ...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
  ...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
  ...
}

The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".

47.4.7.1.1. JSON representation

The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:

package google.profile;
message Person {
  string first_name = 1;
  string last_name = 2;
}
{
  "@type": "type.googleapis.com/google.profile.Person",
  "firstName": <string>,
  "lastName": <string>
}

If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):

{
  "@type": "type.googleapis.com/google.protobuf.Duration",
  "value": "1.212s"
}
Expand
Field NameRequiredNullableTypeDescriptionFormat

typeUrl

  

String

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.Duration). The name should be in a canonical form (e.g., leading \".\" is not accepted). In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme http, https, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows: * If no scheme is provided, https is assumed. * An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error. * Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.) Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com. As of May 2023, there are no widely used type server implementations and no plans to implement one. Schemes other than http, https (or the empty scheme) might be used with implementation specific semantics.

 

value

  

byte[]

Must be a valid serialized protocol buffer of the above specified type.

byte

47.4.7.2. RuntimeError

Expand
Field NameRequiredNullableTypeDescriptionFormat

error

  

String

  

code

  

Integer

 

int32

message

  

String

  

details

  

List of ProtobufAny

  

47.4.7.3. StorageBaselineElement

Expand
Field NameRequiredNullableTypeDescriptionFormat

element

  

StorageBaselineItem

  

auto

  

Boolean

  

47.4.7.4. StorageBaselineItem

Expand
Field NameRequiredNullableTypeDescriptionFormat

processName

  

String

  

47.4.7.5. StorageProcessBaseline

Expand
Field NameRequiredNullableTypeDescriptionFormat

id

  

String

  

key

  

StorageProcessBaselineKey

  

elements

  

List of StorageBaselineElement

  

elementGraveyard

  

List of StorageBaselineElement

  

created

  

Date

 

date-time

userLockedTimestamp

  

Date

 

date-time

stackRoxLockedTimestamp

  

Date

 

date-time

lastUpdate

  

Date

 

date-time

47.4.7.6. StorageProcessBaselineKey

Expand
Field NameRequiredNullableTypeDescriptionFormat

deploymentId

  

String

The idea is for the keys to be flexible. Only certain combinations of these will be supported.

 

containerName

  

String

  

clusterId

  

String

  

namespace

  

String

  

47.4.7.7. V1ProcessBaselineUpdateError

Expand
Field NameRequiredNullableTypeDescriptionFormat

error

  

String

  

key

  

StorageProcessBaselineKey

  

47.4.7.8. V1UpdateProcessBaselinesRequest

Expand
Field NameRequiredNullableTypeDescriptionFormat

keys

  

List of StorageProcessBaselineKey

  

addElements

  

List of StorageBaselineItem

  

removeElements

  

List of StorageBaselineItem

  

47.4.7.9. V1UpdateProcessBaselinesResponse

Expand
Field NameRequiredNullableTypeDescriptionFormat

baselines

  

List of StorageProcessBaseline

  

errors

  

List of V1ProcessBaselineUpdateError

  
Red Hat logoGithubredditYoutubeTwitter

Learn

Try, buy, & sell

Communities

About Red Hat

We deliver hardened solutions that make it easier for enterprises to work across platforms and environments, from the core datacenter to the network edge.

Making open source more inclusive

Red Hat is committed to replacing problematic language in our code, documentation, and web properties. For more details, see the Red Hat Blog.

About Red Hat Documentation

Legal Notice

Theme

© 2026 Red Hat
Back to top